/**
 * CTextArea
 * @author Tevin
 */

<template>
    <view class="c-textarea">
        <AtInput
            ref="input"
            :name="itemData.name"
            :title="itemData.label"
            :required="itemData.required"
            :error="itemData.error"
        />
        <textarea
            ref="textarea"
            class="textarea"
            :style="{height: height || '2rem'}"
            :placeholder="placeholder"
            :value="itemData.formData[itemData.name]"
            :autoFocus="true"
            @input="evt=>itemData.onChange(evt.detail.value)"
        />
    </view>
</template>

<script>
import { $ } from '@tarojs/extend';
import { AtInput } from 'taro-ui-vue';
import './cTextArea.scss';

export default {
    name: 'CTextArea',
    components: {
        AtInput,
    },
    props: {
        height: String,
        placeholder: String,
        itemData: Object,
    },
    data() {
        return {};
    },
    methods: {},
    mounted() {
        $(this.$refs.input.$el).find('.at-input__input').prepend(this.$refs.textarea.$el);
    },
};
</script>